http://mediapackage.{region}.amazonaws.com/channels/{id}/ingest_endpoints/{ingest_endpoint_id}/credentialsRotate the IngestEndpoint's username and password, as specified by the IngestEndpoint's id.
The ID of the channel the IngestEndpoint is on.
The id of the IngestEndpoint whose credentials should be rotated
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://mediapackage.{region}.amazonaws.com/channels/{id}/ingest_endpoints/{ingest_endpoint_id}/credentials' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://mediapackage.{region}.amazonaws.com/channels/{id}/ingest_endpoints/{ingest_endpoint_id}/credentialsRotate the IngestEndpoint's username and password, as specified by the IngestEndpoint's id.
The ID of the channel the IngestEndpoint is on.
The id of the IngestEndpoint whose credentials should be rotated
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://mediapackage.{region}.amazonaws.com/channels/{id}/ingest_endpoints/{ingest_endpoint_id}/credentials' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}